*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-size: 100%;
}

html {
  font-size: clamp(16px, 1.25vw, 20px);
  scroll-behavior: smooth;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  font-family: "AG Ahn Sangsoo", sans-serif;
  font-size: 1.5rem;
  font-weight: 700;
  line-height: 1.5;
  word-break: keep-all;
  color: black;
  background-color: white;
  cursor: default;
}

a {
  color: inherit;
  text-decoration: none;
  cursor: pointer;
}

ul,
ol {
  list-style: none;
}

img,
iframe {
  display: block;
  width: 100%;
  height: auto;
  border: 0;
}

.header {
  display: flex;
  justify-content: center;
  align-items: center;
  position: sticky;
  z-index: 999;
  top: 0;
  z-index: 100;
  width: 100%;
  height: 100svh;
  padding: 1rem;
  line-height: 1.25;
  background-color: white;
}

.header-title {
  position: relative;
  aspect-ratio: 9 / 16;
  max-width: 20rem;
  width: 100%;
  max-height: auto;
  height: auto;
  text-align: center;
  border-radius: .25rem;
  color: white;
  background-color: black;
}

.header-title a {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  
}

.header-title div:nth-child(2) {
  opacity: .5;
}

.main {
  display: flex;
  flex-direction: column;
  position: relative;
  flex: 1 1 auto;
}

.footer {
  display: none;
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 1rem;
  text-align: center;
}

.article {
  margin-bottom: 100svh;
}

.article-cover {
  display: flex;
  justify-content: center;
  align-items: center;
  position: sticky;
  top: 0;
  z-index: 111;
  width: 100%;
  height: 100svh;
}

.article-cover a {
  position: relative;
  overflow: hidden;
}

.article-cover a:hover::after {
  content: "작품 감상";
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  font-size: 2rem;
  font-weight: 700;
  color: white;
  background-color: rgba(0, 0, 0, .5);
  -webkit-backdrop-filter: blur(.25rem);
  backdrop-filter: blur(.25rem);
  border-radius: .25rem;
}

.article-cover img {
  aspect-ratio: 9 / 16;
  max-width: 20rem;
  width: auto;
  max-height: auto;
  height: auto;
  object-fit: contain;
  border: .5rem solid black;
  border-radius: .25rem;
}

.article-cover iframe {
  aspect-ratio: 9 / 16;
  max-width: 20rem;
  width: 100%;
  max-height: auto;
  height: auto;
  border: .5rem solid black;
  border-radius: .25rem;
}

.article-main {
  position: relative;
  top: 0;
  z-index: 999;
  width: 100%;
  min-height: 100svh;
  padding: 3rem 1.5rem;
  color: black;
  background-color: white;
}

.article-title {
  font-size: 3rem;
  font-weight: 900;
  text-align: center;
}

.container {
  margin: 0 auto;
  max-width: 60rem;
}

.content {
  position: relative;
  font-family: "AG Choi Jeongho Screen", sans-serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.75;
}

.content > *:not(:last-child) {
  margin-bottom: 1.5rem;
}

.content a {
  border-bottom: 1px solid gainsboro;
  transition: border-color .25s;
}

.content a:hover {
  border-bottom: 1px solid black;
}

.content h1,
.content h2 {
  font-weight: 700;
}

.content h1 {
  font-size: 1.25rem;
  line-height: 1.375;
}

.content h2 + * {
  margin-top: -1.5rem;
}

.content blockquote {
  font-size: 1.125rem;
}

.content blockquote > *:not(:last-child) {
  margin-bottom: 1.5rem;
}

.columns {
  position: sticky;
  top: 0;
  display: grid;
  grid-template-columns: repeat(1, minmax(0, 1fr));
  gap: 1.5rem;
}

@media screen and (min-width: 900px) {
  .columns {
    grid-template-columns: repeat(2, minmax(0, 1fr));
    
  }

  .column-sticky {
    position: sticky;
    top: 1.5rem;
  }
}

.image {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.image img {
  aspect-ratio: 9 / 16;
  max-width: 20rem;
  width: auto;
  max-height: auto;
  height: auto;
  object-fit: contain;
  border-radius: .25rem;
  border: .5rem solid black;
}